# Create RBAC role Create a new RBAC role for a platform. Endpoint: POST /api/core/rbac/roles/ Version: 4.84.1-ai-plus Security: PlatformApiKeyAuthentication ## Request fields (application/json): - `name` (string, required) - `platform_key` (string, required) Platform key where this role belongs - `actions` (array) List of actions/permissions this role can perform (e.g., ['Ibl.Mentor/Settings/read', 'Ibl.Mentor/Settings/write']) - `data_actions` (array) List of data actions/permissions this role can perform for field-level access (e.g., ['Ibl.Mentor/Settings/name/read', 'Ibl.Mentor/Settings/email/write']) ## Response 201 fields (application/json): - `id` (integer, required) - `name` (string, required) - `platform` (object, required) Platform information (read-only) - `platform.key` (string, required) The platform key - `platform.name` (string,null) The name of the platform - `actions` (array) List of actions/permissions this role can perform (e.g., ['Ibl.Mentor/Settings/read', 'Ibl.Mentor/Settings/write']) - `data_actions` (array) List of data actions/permissions this role can perform for field-level access (e.g., ['Ibl.Mentor/Settings/name/read', 'Ibl.Mentor/Settings/email/write']) - `is_internal` (boolean, required) When True, this role is internal to the system and cannot be viewed or modified by tenants via API endpoints. ## Response 400 fields ## Response 403 fields